#include <bits/stdc++.h>
using namespace std;
int snt(int b)
{
	int i;
	for ( i=2; i<=sqrt(b); i++)
	if (b%i==0) return 0;
	return 1;
}
int main ()
{
	freopen ("DQNT.inp","r", stdin);
	freopen ("DQNT.out", "w", stdout);
	int b,c,n,d=0;
	cin>>n;
	int a[n+1], z[1000];
	for (int i=1; i<=n; i++)
	cin>>a[i];
	for (int i=1; i<=n; i++)
	if (snt(a[i])==1) z[d++]=a[i];
	sort (z+1, z+d+1);
	if (d==0) cout << -1; 
	if (d>0)
	for (int i=2; i<=d; i++)
	cout << z[i]<<" ";
}
